Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1195073 - [abrt] bash: __ctype_get_mb_cur_max@plt(): bash killed by SIGSEGV
Summary: [abrt] bash: __ctype_get_mb_cur_max@plt(): bash killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Oprala
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d798fc4f9fe1ab9f6401a249716...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-22 17:55 UTC by Steve
Modified: 2016-02-01 02:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-18 12:28:26 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (21.06 KB, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: cgroup (190 bytes, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: core_backtrace (7.08 KB, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: dso_list (575 bytes, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: environ (1.33 KB, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: maps (2.57 KB, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: open_fds (135 bytes, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: proc_pid_status (948 bytes, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: var_log_messages (181 bytes, text/plain)
2015-02-22 17:55 UTC, Steve
no flags Details
File: exploitable (177 bytes, application/octet-stream)
2015-02-22 17:55 UTC, Steve
no flags Details

Description Steve 2015-02-22 17:55:15 UTC
Version-Release number of selected component:
bash-4.3.33-1.fc21

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /bin/bash /usr/bin/elegance-colors start
crash_function: __ctype_get_mb_cur_max@plt
executable:     /usr/bin/bash
kernel:         3.18.3-201.fc21.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __ctype_get_mb_cur_max@plt
 #1 setifs at subst.c:9068
 #2 unwind_frame_run_internal at unwind_prot.c:301
 #3 without_interrupts at unwind_prot.c:107
 #4 run_unwind_frame at unwind_prot.c:135
 #5 execute_function at execute_cmd.c:4573
 #6 execute_builtin_or_function at execute_cmd.c:4781
 #7 execute_simple_command at execute_cmd.c:4182
 #8 execute_command_internal at execute_cmd.c:799
 #9 execute_connection at execute_cmd.c:2508

Comment 1 Steve 2015-02-22 17:55:19 UTC
Created attachment 994277 [details]
File: backtrace

Comment 2 Steve 2015-02-22 17:55:20 UTC
Created attachment 994278 [details]
File: cgroup

Comment 3 Steve 2015-02-22 17:55:21 UTC
Created attachment 994279 [details]
File: core_backtrace

Comment 4 Steve 2015-02-22 17:55:23 UTC
Created attachment 994280 [details]
File: dso_list

Comment 5 Steve 2015-02-22 17:55:24 UTC
Created attachment 994281 [details]
File: environ

Comment 6 Steve 2015-02-22 17:55:25 UTC
Created attachment 994282 [details]
File: limits

Comment 7 Steve 2015-02-22 17:55:26 UTC
Created attachment 994283 [details]
File: maps

Comment 8 Steve 2015-02-22 17:55:27 UTC
Created attachment 994284 [details]
File: open_fds

Comment 9 Steve 2015-02-22 17:55:28 UTC
Created attachment 994285 [details]
File: proc_pid_status

Comment 10 Steve 2015-02-22 17:55:30 UTC
Created attachment 994286 [details]
File: var_log_messages

Comment 11 Steve 2015-02-22 17:55:31 UTC
Created attachment 994287 [details]
File: exploitable

Comment 12 Ondrej Oprala 2015-03-18 11:07:58 UTC
Hey Steve, could you point me to the source of the elegance-colors executable?...it doesn't seem to be from a standard RPM that I can find...

Comment 13 Ondrej Oprala 2015-06-18 12:28:26 UTC
As there's no further response for 3 months, I'll be closing this. Feel free to reopen if new information comes up.


Note You need to log in before you can comment on or make changes to this bug.